Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 541)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 542)
@@ -132,6 +132,6 @@
    <permission>View</permission>
   </action>
-  <action title="Home" action_id="student_home" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}" visible="True">
+  <action title="Home" action_id="students_home" category="student_navigation"
+     condition_expr="member" url_expr="string:${portal_url}/students_home" visible="True">
    <permission>View</permission>
   </action>
@@ -141,5 +141,5 @@
    <permission>View</permission>
   </action>
-  <action title="Registration" action_id="registration"
+  <action title="My Registration" action_id="registration"
      category="student_navigation" condition_expr="member"
      url_expr="string:${portal_url}/campus/students" visible="True">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 541)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 542)
@@ -2,6 +2,6 @@
 <object name="student_application" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
- <property name="layout_edit_method">layout_application_print</property>
- <property name="layout_view_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method">layout_application_print</property>
  <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 541)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 542)
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 541)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 542)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentsFolder</property>
- <property name="immediate_view">student_index</property>
+ <property name="immediate_view">students_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="student_index"/>
- <alias from="view" to="student_index"/>
+ <alias from="(Default)" to="students_index"/>
+ <alias from="view" to="students_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/student_index" visible="True">
+    url_expr="string:${object_url}/students_index" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 541)
+++ WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 542)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addUniversity</property>
- <property name="immediate_view">home_index</property>
+ <property name="immediate_view">campus_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -34,8 +34,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="home_index"/>
- <alias from="view" to="home_index"/>
+ <alias from="(Default)" to="campus_index"/>
+ <alias from="view" to="campus_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/home_index" visible="True">
+    url_expr="string:${object_url}/campus_index" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 542)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "academics_index"
 ##bind container=container
 ##bind context=context
@@ -10,30 +10,23 @@
 # $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
 """
-return the appropriate page in the academics section 
+return the appropriate page in the academics section
 """
 
 request = context.REQUEST
 redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/academics_contents" % context.absolute_url())
+
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-pm = context.portal_membership
 member = pm.getAuthenticatedMember()
 roles = member.getRoles()
 isManager = "Manager" in roles or "SectionManager" in roles
 isStudent = "Student" in roles
+
 if isManager:
     return redirect("%s/academics_contents" % context.absolute_url())
 if isStudent:
     return redirect("%s/academics_contents" % context.absolute_url())
-if pm.isAnonymousUser():
-    return redirect("%s/acacemics_contents" % context.absolute_url())
-    
-info = context.getStudentInfo()
-student = info['student']
-doc = info['app_doc']
-state = context.getStudentInfo()['review_state']
-if state == 'admission_applied':
-    return redirect("%s/application_view" % student.absolute_url())
-elif state == 'application_pin_entered':
-    return redirect("%s/passport_entry_view" % student.absolute_url())
-    
 
Index: WAeUP_SRP/trunk/skins/waeup_custom/login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/login_form.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_custom/login_form.pt	(revision 542)
@@ -6,58 +6,10 @@
       tal:define="username request/username | request/__ac_name | nothing">
 
-  <h1 i18n:translate="heading_login_form">Log in</h1>
+  <h3>Sorry,</h3>
 
-  <form id="loginForm" action="" method="post"
-        tal:attributes="action string:${base_url}logged_in">
-
-  <table id="login" class="form"
-         summary="Table for entering login information">
-    <tbody>
-    <tr>
-    <th>
-        <label for="username"
-               i18n:translate="label_user_name">User name</label></th>
-    <td>
-        <input type="text" id="username" name="__ac_name"
-               class="focus" size="20" value=""
-               tal:attributes="value username" /></td>
-    </tr>
-    <tr>
-    <th>
-        <label for="password"
-               i18n:translate="label_password">Password</label></th>
-    <td>
-        <input type="password" id="password" name="__ac_password" size="20"
-               value="" /></td>
-    </tr>
-    </tbody>
-  </table>
-
-  <p class="buttonArea">
-    <!-- ****** Enable the automatic redirect ***** -->
-    <input type="hidden" name="came_from" value=""
-           tal:condition="exists: request/came_from"
-           tal:attributes="value request/came_from" />
-    <!-- ****** Enable the automatic redirect ***** -->
-    <input i18n:attributes="value" class="standalone"
-           type="submit" name="submit" value="button_login" />
+  <p> you are not authorized to access this resource.
   </p>
 
-  </form>
-
-  <p i18n:translate="help_login_aware_logout">
-    Don't forget to logout or exit your browser when you're done.
-  </p>
-  <p i18n:translate="help_login_troubles_cookies">
-    Having trouble logging in? Make sure to enable cookies in
-    your web browser.
-  </p>
-  <p i18n:translate="">
-    help_password_forgotten
-    <tal:block i18n:name="link_password_forgotten"
-               replace="string:${base_url}account_lost_password_form"/>
-  </p>
-
-</metal:main>
+  </metal:main>
 </metal:body>
 </metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 542)
@@ -0,0 +1,34 @@
+## Script (Python) "home_index"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the correct campus_index_html
+"""
+
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/campus_anonymous_view" % request.get('URL1')) 
+
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
+member = pm.getAuthenticatedMember()
+roles = member.getRoles()
+isManager = "Manager" in roles or "SectionManager" in roles
+isStudent = "Student" in roles
+
+if isManager:
+    return redirect("%s/campus_manager_view" % campus.absolute_url())
+   
+if isStudent:
+    return redirect("%s/students_index" % campus.students.absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt	(revision 542)
@@ -4,5 +4,5 @@
 <!-- macro library for rendering specific error messages per error type -->
 <metal:block define-macro="not_found">
-  <h1>Not Found</h1>
+  <h3>Not Found</h3>
 
   <p>The resource you asked was not found.
Index: WAeUP_SRP/trunk/skins/waeup_default/error_other.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/error_other.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_default/error_other.pt	(revision 542)
@@ -3,5 +3,5 @@
 
 <metal:block define-macro="other">
-  <h1>WAeUP encountered an error</h1>
+  <h3>WAeUP encountered an error</h3>
 
   <p>We apologize for the incovenience.</p>
Index: WAeUP_SRP/trunk/skins/waeup_default/home.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/home.pt	(revision 541)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<h2>Welcome to the     
- 
-<br />Student Registration Portal of the University of Benin, Nigeria</h2>
-
-<br />
-
-<p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. For further information see 
-<a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>. </p>
-
-<p>You've chosen the portal's 'back entrance' which is dedicated to university staff members to maintain the portal's database.</p>
-
-<p>Portal Managers can add new Members (create member records) and assign local roles to individual members. Portal 
-Members can browse the various academic or the student sections. They can check, edit and approve Faculty, Department, Certificate, 
-Course and CertificateCourse records, if they got the respective role from a Portal Manager.</p>
-
-<p>This site is best seen in Firefox browser.</p>
Index: WAeUP_SRP/trunk/skins/waeup_default/home_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/home_index.py	(revision 541)
+++ 	(revision )
@@ -1,30 +1,0 @@
-## Script (Python) "cpsdocument_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return the correct campus_index_html 
-"""
-
-request = context.REQUEST
-redirect = request.RESPONSE.redirect
-pm = context.portal_membership
-if pm.isAnonymousUser():
-    return redirect("%s/campus_anonymous_view" % request.get('URL1'))
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-if "Manager" in roles or "SectionManager" in roles:
-    return redirect("%s/campus_manager_view" % campus.absolute_url())
-    
-info = context.getStudentInfo()
-if info is not None:
-    return redirect("%s/student_index" % campus.students.absolute_url())
-    
-
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 542)
@@ -0,0 +1,33 @@
+## Script (Python) "index_html"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the correct index_html
+"""
+
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/srp_anonymous_view" % request.get('URL1'))
+
+member = pm.getAuthenticatedMember()
+roles = member.getRoles()
+isManager = "Manager" in roles or "SectionManager" in roles
+isStudent = "Student" in roles
+
+if isManager:
+    return redirect("%s/srp_manager_view" % absolute_url())
+
+if isStudent:
+    return redirect("%s/srp_anonymous_view" % absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_default/login_default.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/login_default.pt	(revision 541)
+++ 	(revision )
@@ -1,80 +1,0 @@
-<metal:block define-macro="master"
-  tal:define="showthirdcol showthirdcol|python:1;
-              emptybody emptybody|request/emptybody|nothing;
-              mtool here/portal_membership;
-              can_raise python:mtool.assertViewable(here);
-              utool nocall:here/portal_url;
-              atool here/portal_actions;
-              ttool here/portal_trees;
-              wtool here/portal_workflow;
-              context_url python:here.getContextUrl(utool=utool);
-              base_url here/cpsskins_getBaseUrl;
-              here_url here/absolute_url;
-              member mtool/getAuthenticatedMember;
-              isAnon mtool/isAnonymousUser;
-              isHomeless python:isAnon or member.getProperty('homeless', 0);
-              isHomeless python:(isHomeless == '0' and [0] or [isHomeless])[0];
-              actions python:atool.listFilteredActionsFor(here);
-              wf_state python:wtool.getInfoFor(here,'review_state','');
-              uname python: isAnon and 'Guest' or member.getUserName();
-              checkPerm nocall: mtool/checkPermission;
-              cpsmcat nocall:here/translation_service;
-              locale here/translation_service/getSelectedLanguage;
-              in_ws here/isInWorkspace;
-              dummy python: request.set('cpsskins_cmfactions', actions);
-              username request/username | request/__ac_name | nothing">
-
-  <h1 i18n:translate="heading_login_form">Log in</h1>
-
-  <form id="loginForm" action="" method="post"
-        tal:attributes="action string:${base_url}logged_in">
-
-  <table id="login" class="form"
-         summary="Table for entering login information">
-    <tbody>
-    <tr>
-    <th>
-        <label for="username"
-               i18n:translate="label_user_name">User name</label></th>
-    <td>
-        <input type="text" id="username" name="__ac_name"
-               class="focus" size="20" value=""
-               tal:attributes="value username" /></td>
-    </tr>
-    <tr>
-    <th>
-        <label for="password"
-               i18n:translate="label_password">Password</label></th>
-    <td>
-        <input type="password" id="password" name="__ac_password" size="20"
-               value="" /></td>
-    </tr>
-    </tbody>
-  </table>
-
-  <p class="buttonArea">
-    <!-- ****** Enable the automatic redirect ***** -->
-    <input type="hidden" name="came_from" value=""
-           tal:condition="exists: request/came_from"
-           tal:attributes="value request/came_from" />
-    <!-- ****** Enable the automatic redirect ***** -->
-    <input i18n:attributes="value" class="standalone"
-           type="submit" name="submit" value="button_login" />
-  </p>
-
-  </form>
-
-  <p i18n:translate="help_login_aware_logout">
-    Don't forget to logout or exit your browser when you're done.
-  </p>
-  <p i18n:translate="help_login_troubles_cookies">
-    Having trouble logging in? Make sure to enable cookies in
-    your web browser.
-  </p>
-  <p i18n:translate="">
-    help_password_forgotten
-    <tal:block i18n:name="link_password_forgotten"
-               replace="string:${base_url}account_lost_password_form"/>
-  </p>
-
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt	(revision 542)
@@ -0,0 +1,77 @@
+<metal:html>
+
+<metal:body use-macro="here/main_template/macros/master">
+
+<metal:main fill-slot="main"
+      tal:define="username request/username | request/__ac_name | nothing">
+
+  <h3 i18n:translate="">Student Login</h3>
+
+  <form id="" action="" method="post"
+        tal:attributes="action string:${base_url}logged_in">
+        
+
+  <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. For further information see 
+  <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>. </p>
+  
+  <p>You've chosen the portal's 'back entrance' to log in. This entrance is dedicated to university staff members to maintain the portal's database.</p>
+  
+  <p>Portal Managers can add new Members (create member records) and assign local roles to individual members. Portal 
+  Members can browse the various academic or the student sections. They can check, edit and approve Faculty, Department, Certificate, 
+  Course and CertificateCourse records, if they got the respective role from a Portal Manager.</p>
+  
+  <br /> 
+
+  <table id="login" class="form"
+         summary="Table for entering login information">
+    <tbody>
+    <tr>
+    <th>
+        <label for="username"
+               i18n:translate="label_student_id">User Name</label></th>
+    <td>
+        <input type="text" id="username" name="__ac_name"
+               class="focus" size="20" value=""
+               tal:attributes="value username" /></td>
+    </tr>
+    <tr>
+    <th>
+        <label for="password"
+               i18n:translate="label_password">Password</label></th>
+    <td>
+        <input type="password" id="password" name="__ac_password" size="20"
+               value="" /></td>
+    </tr>
+    </tbody>
+  </table>
+  
+  <p class="buttonArea">
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input type="hidden" name="came_from" value=""
+           tal:condition="exists: request/came_from"
+           tal:attributes="value request/came_from" />
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input i18n:attributes="value" class="standalone"
+           type="submit" name="submit" value="button_login" />
+  </p>
+
+  </form>
+
+  <br />
+
+  <p i18n:translate="help_login_aware_logout">
+    Don't forget to logout or exit your browser when you're done.
+  </p>
+  <p i18n:translate="help_login_troubles_cookies">
+    Having trouble logging in? Make sure to enable cookies in
+    your web browser.
+  </p>
+  <p i18n:translate="">
+    help_password_forgotten
+    <tal:block i18n:name="link_password_forgotten"
+               replace="string:${base_url}account_lost_password_form"/>
+  </p>
+
+</metal:main>
+</metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 542)
@@ -0,0 +1,18 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
+          For further information see 
+          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
+          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
+        proceed with the admission and clearance process.</p>
+        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
+        to register courses for the current session, to pay their school fees and to book accommodation.</p>
+        <p>This site is best seen in Firefox browser.</p>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_manager_view.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_manager_view.pt	(revision 542)
@@ -0,0 +1,18 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
+          For further information see 
+          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
+          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
+        proceed with the admission and clearance process.</p>
+        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
+        to register courses for the current session, to pay their school fees and to book accommodation.</p>
+        <p>This site is best seen in Firefox browser.</p>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 542)
@@ -7,4 +7,6 @@
       <span tal:condition="info"
             tal:define="review_state info/review_state">
+        <h3>Post UME Acknowledegement Slip</h3>
+        <br />      
         <span tal:omit-tag=""
               tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 542)
@@ -7,5 +7,6 @@
       <span tal:condition="info"
             tal:define="review_state info/review_state">
-        <h3 tal:content="info/review_state|nothing"></h3>
+        <h3>My Application Record</h3>
+        <br />
         <span tal:omit-tag=""
               tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_print.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_print.pt	(revision 541)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_print.pt	(revision 542)
@@ -4,6 +4,5 @@
              widgets python:context.getRenderedWidgets(layout);"
              >
-  <h3>Post UME Acknowledegement Slip</h3>
-  <br />
+
   <table cellpadding="10em" cellspacing="">
     <tr>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 541)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## Script (Python) "cpsdocument_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return the current student_index_html 
-"""
-
-request = context.REQUEST
-redirect = request.RESPONSE.redirect
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-pm = context.portal_membership
-if pm.isAnonymousUser():
-    return redirect("%s/students_anonymous_view" % campus.students.absolute_url())
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-if "Manager" in roles or "SectionManager" in roles:
-    return redirect("%s/students_manager_view" % campus.students.absolute_url())
-    
-info = context.getStudentInfo()
-student = info['student']
-doc = info['app_doc']
-state = context.getStudentInfo()['review_state']
-if state == 'admission_applied':
-    return redirect("%s/application_view" % student.absolute_url())
-elif state == 'application_pin_entered':
-    return redirect("%s/passport_entry_view" % student.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/students_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_anonymous_view.pt	(revision 541)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <h2>Welcome to the     
-        <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-      <br />
-      <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-        For further information see 
-        <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-      <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-        entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-      proceed with the admission and clearance process.</p>
-      <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-      to register courses for the current session, to pay their school fees and to book accommodation.</p>
-      <p>This site is best seen in Firefox browser.</p>
-    </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 542)
@@ -0,0 +1,40 @@
+## Script (Python) "students_indext"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the current students_index_html
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+
+if pm.isAnonymousUser():
+    return redirect("%s/campus_anonymous_view" % context.campus.absolute_url())
+
+
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
+member = pm.getAuthenticatedMember()
+roles = member.getRoles()
+isManager = "Manager" in roles or "SectionManager" in roles
+isStudent = "Student" in roles
+
+if isManager:
+    return redirect("%s/academics_contents" % campus.students.absolute_url())
+if isStudent:
+    info = context.getStudentInfo()
+    student = info['student']
+    doc = info['app_doc']
+    state = context.getStudentInfo()['review_state']
+    if state == 'admission_applied':
+        return redirect("%s/application_view" % student.absolute_url())
+    elif state == 'application_pin_entered':
+        return redirect("%s/passport_entry_view" % student.absolute_url())