Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 542)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 543)
@@ -156,4 +156,7 @@
               title="Members" priority="4"
               icon_expr="blank.gif"/>
+ <action-icon category="navigation" action_id="view_pins"
+              title="PINs" priority="5"
+              icon_expr="blank.gif"/>              
  <action-icon category="navigation" action_id="home"
               title="Home" priority="0"
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 542)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 543)
@@ -2,7 +2,7 @@
 <object name="portal_actions" meta_type="CMF Actions Tool">
  <action-provider name="portal_membership">
-  <action title="Login" action_id="login" category="user"
+  <action title="Staff Login" action_id="login_staff" category="user"
      condition_expr="not: member"
-     url_expr="python:&quot;%s/login_form?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
+     url_expr="python:&quot;%s/login_staff?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
      visible="True">
    <permission>View</permission>
@@ -32,5 +32,5 @@
    <permission>View</permission>
   </action>
-  <action title="Login" action_id="login_student" category="student"
+  <action title="Student Login" action_id="login_student" category="student"
      condition_expr="not:member"
      url_expr="python:&quot;%s/login_student?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
@@ -118,4 +118,9 @@
    <permission>Modify portal content</permission>
   </action>
+  <action title="PINs" action_id="view_pins" category="navigation"
+     condition_expr="member" url_expr="string:${portal_url}/campus/pins"
+     visible="True">
+   <permission>Modify portal content</permission>
+  </action>  
   <action title="Unchecked Items" action_id="unchecked" category="object"
      condition_expr="member" url_expr="string:./unchecked" visible="True">
@@ -128,5 +133,5 @@
   <action title="Apply for PUME" action_id="apply_admission"
      category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/campus/students/apply_admission"
+     url_expr="string:${portal_url}/apply_admission"
      visible="True">
    <permission>View</permission>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 543)
@@ -1,3 +1,3 @@
-## Script (Python) "home_index"
+## Script (Python) "campus_index"
 ##bind container=container
 ##bind context=context
@@ -19,5 +19,5 @@
 
 if pm.isAnonymousUser():
-    return redirect("%s/campus_anonymous_view" % request.get('URL1')) 
+    return redirect("%s/campus_anonymous_view" % request.get('URL1'))
 
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
@@ -29,5 +29,5 @@
 if isManager:
     return redirect("%s/campus_manager_view" % campus.absolute_url())
-   
+
 if isStudent:
     return redirect("%s/students_index" % campus.students.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 543)
@@ -27,7 +27,7 @@
 
 if isManager:
-    return redirect("%s/srp_manager_view" % absolute_url())
+    return redirect("%s/srp_manager_view" % context.absolute_url())
 
 if isStudent:
-    return redirect("%s/srp_anonymous_view" % absolute_url())
+    return redirect("%s/srp_anonymous_view" % context.absolute_url())
 
Index: WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/login_staff.pt	(revision 543)
@@ -6,12 +6,8 @@
       tal:define="username request/username | request/__ac_name | nothing">
 
-  <h3 i18n:translate="">Student Login</h3>
+  <h3 i18n:translate="">Staff Login</h3>
 
   <form id="" action="" method="post"
         tal:attributes="action string:${base_url}logged_in">
-        
-
-  <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. For further information see 
-  <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>. </p>
   
   <p>You've chosen the portal's 'back entrance' to log in. This entrance is dedicated to university staff members to maintain the portal's database.</p>
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 543)
@@ -1,7 +1,9 @@
 <tal:block define="item nocall:options/context_obj;
                    info item/getContentInfo;
-                   base_url python: request.get('cpsskins_base_url');">
+                   base_url python: request.get('cpsskins_base_url');
+                   status_list python: ['checked', 'unchecked', 'opened', 'closed', 
+                                        'created', 'admission_pin_entered', 'admission_applied'];">
 
-<span tal:condition="python:path('info/review_state')!='work'">
+<span tal:condition="python:path('info/review_state') in status_list ">
   Status: <span tal:content="info/review_state" />
 </ span>
Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_index_html.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_index_html.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_pins/batch_index_html.pt	(revision 543)
@@ -7,5 +7,7 @@
       </span>
       <span tal:condition="python:not isAnon and info">
-        <h3 tal:content="info/review_state|nothing"></h3>
+
+        <h3>Unused PINs</h3>
+        <br />
         <span tal:omit-tag="" 
               tal:content="structure python: info['batch_doc'].render(proxy=info['batch_doc'],
@@ -13,11 +15,14 @@
               )" 
               />
+        <br />
+        <table>
+          <tr tal:repeat="pin info/unused">
+            <td tal:content="pin/serial" />
+            <td tal:content="pin/pin" />
+          </tr>
+        </table>
+      
       </span>
-      <table>
-        <tr tal:repeat="pin info/unused">
-          <td tal:content="pin/serial" />
-          <td tal:content="pin/pin" />
-        </tr>
-      </table>
+
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_pins/pins_index_html.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/pins_index_html.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_pins/pins_index_html.pt	(revision 543)
@@ -5,4 +5,6 @@
       </span>  
       <span tal:condition="not:isAnon">
+        <h3>PIN Batches</h3>
+        <br />
         <table tal:define="batches python: context.objectValues()">
           <tr tal:repeat="batch batches">
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 543)
@@ -48,5 +48,5 @@
     return context.REQUEST.RESPONSE.redirect("%s/logged_in?__ac_name=%s&__ac_password=%s&pin=%s"
           % (context.absolute_url(),s_id,pin.split('-')[2],pin))
-    
+
 ##    jamb_id = ds.get('jamb_reg_no')
 ##    student = context.getContent().getStudentByRegNo(jamb_id)
@@ -68,6 +68,8 @@
 
 # now display the passport form with jamb-data readonly
-return context.REQUEST.RESPONSE.redirect("%s/application_form" % (student.application.absolute_url()))
-return student.application_form()
+##return context.REQUEST.RESPONSE.redirect("%s/application_form" % (student.application.absolute_url()))
+##return student.application_form()
+
+return
 
 
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 543)
@@ -19,5 +19,5 @@
 
 if pm.isAnonymousUser():
-    return redirect("%s/campus_anonymous_view" % context.campus.absolute_url())
+    return redirect("%s/srp_anonymous_view" % context.absolute_url())
 
 
@@ -29,5 +29,5 @@
 
 if isManager:
-    return redirect("%s/academics_contents" % campus.students.absolute_url())
+    return redirect("%s/students_manager_view" % campus.students.absolute_url())
 if isStudent:
     info = context.getStudentInfo()
Index: WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 542)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 543)
@@ -9,4 +9,6 @@
       </span>
       <span tal:condition="isManager">
+      <h3>All Students</h3>
+        <br />
         <table tal:define="students python: context.objectValues()">
           <tr tal:repeat="student students">