Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 543)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 544)
@@ -119,6 +119,6 @@
  <action-icon category="global_header" action_id="contact"
               priority="0" icon_expr="actionicon_email.png"/>
- <action-icon category="user" action_id="login"
-              title="Login" priority="0"
+ <action-icon category="student" action_id="login_staff"
+              title="Staff Login" priority="0"
               icon_expr="actionicon_login.png"/>
  <action-icon category="user" action_id="logout"
@@ -143,4 +143,7 @@
               title="Unchecked" priority="6"
               icon_expr="actionicon_reject.png"/>
+ <action-icon category="navigation" action_id="home"
+              title="Home" priority="0"
+              icon_expr="blank.gif"/>
  <action-icon category="navigation"
               action_id="view_academics" title="Academics"
@@ -158,7 +161,4 @@
  <action-icon category="navigation" action_id="view_pins"
               title="PINs" priority="5"
-              icon_expr="blank.gif"/>              
- <action-icon category="navigation" action_id="home"
-              title="Home" priority="0"
               icon_expr="blank.gif"/>
  <action-icon category="import" action_id="import_faculties"
@@ -191,25 +191,25 @@
               title="Import Fulltime Student Results"
               priority="7" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
+ <action-icon category="export"
               action_id="export_faculties"
               title="Export Faculties"
-              priority="8" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
+              priority="1" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export"
               action_id="export_departments"
               title="Export Departments"
-              priority="9" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
+              priority="2" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export"
               action_id="export_courses"
               title="Export Courses"
-              priority="10" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
+              priority="3" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export"
               action_id="export_certificates"
               title="Export Certificates"
-              priority="11" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
+              priority="4" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export"
               action_id="export_certificate_courses"
               title="Export Certificate Courses"
-              priority="12" icon_expr="actionicon_submit.png"/>
- <action-icon category="student_navigation" action_id="student_home"
+              priority="5" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="student_navigation" action_id="students_home"
               title="Home" priority="0"
               icon_expr="blank.gif"/>
@@ -224,5 +224,5 @@
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="login_student"
-              title="Login" priority="0"
+              title="Student Login" priority="0"
               icon_expr="actionicon_login.png"/>
  <action-icon category="student" action_id="logout_student"
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 543)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 544)
@@ -2,5 +2,5 @@
 <object name="portal_actions" meta_type="CMF Actions Tool">
  <action-provider name="portal_membership">
-  <action title="Staff Login" action_id="login_staff" category="user"
+  <action title="Staff Login" action_id="login_staff" category="student"
      condition_expr="not: member"
      url_expr="python:&quot;%s/login_staff?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
@@ -38,5 +38,5 @@
    <permission>View</permission>
   </action>
-  <action title="Logout" action_id="logout_student" category="student"
+  <action title="Log out" action_id="logout_student" category="student"
      condition_expr="member" url_expr="string:${portal_url}/logout"
      visible="True"/>
@@ -138,5 +138,5 @@
   </action>
   <action title="Home" action_id="students_home" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}/students_home" visible="True">
+     condition_expr="member" url_expr="string:${portal_url}" visible="True">
    <permission>View</permission>
   </action>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 543)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 544)
@@ -20,11 +20,11 @@
  </widget>
  <widget name="no_of_pins" meta_type="Int Widget">
-  <property name="title">Nr of Pins </property>
+  <property name="title">Number of Pins </property>
   <property name="fields">
    <element value="no_of_pins"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Nr of Pins </property>
-  <property name="label_edit">Nr of Pins </property>
+  <property name="label">Number of Pins </property>
+  <property name="label_edit">Number of Pins </property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 543)
+++ /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 544)
@@ -52,21 +52,20 @@
  <action title="Faculties" action_id="import_faculties" category="import"
     condition_expr="" url_expr="string:${object_url}/loadFacultiesFromCSV"
-    visible="False">
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
  <action title="Departments" action_id="import_departments" category="import"
     condition_expr="" url_expr="string:${object_url}/loadDepartmentsFromCSV"
-    visible="False">
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
  <action title="Courses" action_id="import_courses" category="import"
     condition_expr="" url_expr="string:${object_url}/loadCoursesFromCSV"
-    visible="False">
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
  <action title="Certificates" action_id="import_certificates"
     category="import" condition_expr=""
-    url_expr="string:${object_url}/loadCertificatesFromCSV" 
-    visible="False">
+    url_expr="string:${object_url}/loadCertificatesFromCSV" visible="True">
   <permission value="Modify portal content"/>
  </action>
@@ -74,38 +73,32 @@
     category="import" condition_expr=""
     url_expr="string:${object_url}/loadCertificateCoursesFromCSV"
-    visible="False">
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
- <action title="EXPORT: Faculties" 
-         action_id="export_faculties"
-         category="import" condition_expr=""
-         url_expr="string:${object_url}/exportFacultiesToCSV" visible="True">
+ <action title="Faculties" action_id="export_faculties" category="export"
+    condition_expr="" url_expr="string:${object_url}/exportFacultiesToCSV"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
- <action title="EXPORT: Departments" 
-         action_id="export_departments"
-         category="import" condition_expr=""
-         url_expr="string:${object_url}/exportDepartmentsToCSV" visible="True">
+ <action title="Departments" action_id="export_departments" category="export"
+    condition_expr="" url_expr="string:${object_url}/exportDepartmentsToCSV"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
- <action title="EXPORT: Courses" 
-         action_id="export_courses"
-         category="import" condition_expr=""
-         url_expr="string:${object_url}/exportCoursesToCSV" visible="True">
+ <action title="Courses" action_id="export_courses" category="export"
+    condition_expr="" url_expr="string:${object_url}/exportCoursesToCSV"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
-   <action title="EXPORT: Certificates" 
-         action_id="export_certificates"
-         category="import" condition_expr=""
-         url_expr="string:${object_url}/exportCertificatesToCSV" visible="True">
+ <action title="Certificates" action_id="export_certificates"
+    category="export" condition_expr=""
+    url_expr="string:${object_url}/exportCertificatesToCSV" visible="True">
   <permission value="Modify portal content"/>
  </action>
- <action title="EXPORT: CertificateCourses" 
-         action_id="export_certificate_courses"
-         category="import" condition_expr=""
-         url_expr="string:${object_url}/exportCertificateCoursesToCSV" visible="True">
+ <action title="CertificateCourses" action_id="export_certificate_courses"
+    category="export" condition_expr=""
+    url_expr="string:${object_url}/exportCertificateCoursesToCSV"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
-
-
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 543)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 544)
@@ -5,6 +5,5 @@
         <metal:block use-macro="here/error_not_found/macros/not_found" />
       </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
+      <span tal:condition="info">
         <h3>Post UME Acknowledegement Slip</h3>
         <br />      
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 544)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 544)
@@ -0,0 +1,39 @@
+## Script (Python) "student_indext"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the current student_index_html
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+
+if pm.isAnonymousUser():
+    return redirect("%s/srp_anonymous_view" % context.absolute_url())
+
+
+member = pm.getAuthenticatedMember()
+roles = member.getRoles()
+isManager = "Manager" in roles or "SectionManager" in roles
+isStudent = "Student" in roles
+
+if isManager:
+    return redirect("%s/academics_contents" % context.absolute_url())
+if isStudent:
+    info = context.getStudentInfo()
+    student = info['student']
+    doc = info['app_doc']
+    state = context.getStudentInfo()['review_state']
+    if state == 'admission_applied':
+        return redirect("%s/application_view" % student.absolute_url())
+    elif state == 'application_pin_entered':
+        return redirect("%s/passport_entry_view" % student.absolute_url())