Index: eUP_SRP/trunk/profiles/default/cps_portlets.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets.xml	(revision 544)
+++ 	(revision )
@@ -1,173 +1,0 @@
-<?xml version="1.0"?>
-<object name=".cps_portlets" meta_type="CPS Placeful Portlets Container">
- <object name="portlet_122878951" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_122878952" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_122878953" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_12306143" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_161679404" meta_type="CPS Portlet"
-    portal_type="Add Item Portlet"/>
- <object name="portlet_161679405" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_174592583" meta_type="CPS Portlet"
-    portal_type="Add Item Portlet"/>
- <object name="portlet_174592585" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_174592586" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_174592587" meta_type="CPS Portlet"
-    portal_type="Add Item Portlet"/>
- <object name="portlet_174592588" meta_type="CPS Portlet"
-    portal_type="Add Item Portlet"/>
- <object name="portlet_174592589" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_174592590" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_174592591" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_174592592" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_174592594" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_252988174" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_317036513" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_317036514" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_317036515" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_317036516" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_341785586" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_368450196" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_368450197" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_464817518" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_464817519" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_464817520" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_506989420" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_563582796" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_57627398" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_615085575" meta_type="CPS Portlet"
-    portal_type="Search Portlet"/>
- <object name="portlet_615085576" meta_type="CPS Portlet"
-    portal_type="Search Portlet"/>
- <object name="portlet_651968284" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_688565662" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_728648475" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_778397188" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_778397189" meta_type="CPS Portlet"
-    portal_type="Breadcrumbs Portlet"/>
- <object name="portlet_778397191" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_778397194" meta_type="CPS Portlet"
-    portal_type="Breadcrumbs Portlet"/>
- <object name="portlet_778397195" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_778397196" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_778397198" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_778397199" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_778397201" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_778397203" meta_type="CPS Portlet"
-    portal_type="Add Item Portlet"/>
- <object name="portlet_778397204" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_802892056" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_851001221" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_882630613" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_916675861" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_916675862" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_951449960" meta_type="CPS Portlet"
-    portal_type="Breadcrumbs Portlet"/>
- <object name="portlet_972599863" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_975089837" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_accessibility" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_actions_header_sb" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_actions_object" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_actions_user" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_actions_user2" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_breadcrumbs" meta_type="CPS Portlet"
-    portal_type="Breadcrumbs Portlet"/>
- <object name="portlet_breadcrumbs2" meta_type="CPS Portlet"
-    portal_type="Breadcrumbs Portlet"/>
- <object name="portlet_conformance" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_contactinfo" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_content_breaking_news" meta_type="CPS Portlet"
-    portal_type="Content Portlet"/>
- <object name="portlet_copyright" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_documents" meta_type="CPS Portlet"
-    portal_type="Document Portlet"/>
- <object name="portlet_folderactions" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_foldercontents" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_language" meta_type="CPS Portlet"
-    portal_type="Language Portlet"/>
- <object name="portlet_latest_published" meta_type="CPS Portlet"
-    portal_type="Content Portlet"/>
- <object name="portlet_main_content" meta_type="CPS Portlet"
-    portal_type="Main Content Portlet"/>
- <object name="portlet_navigation_3tabs" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_centertop" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_front" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_left" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_members" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_sections" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_tabs" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_navigation_workspaces" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_objectactions" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_portalactions" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_search" meta_type="CPS Portlet"
-    portal_type="Search Portlet"/>
- <object name="portlet_session" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_useractions" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_welcome" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
-</object>
Index: eUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 544)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_themes" meta_type="Portal Themes Tool">
- <property name="accesskey">*</property>
- <property name="debug_mode">True</property>
- <property name="method_themes">
-  <element key="index_html" value="WAeUP_Backoffice+Frontpage"/>
-  <element key="application_slip" value="WAeUP_Student+Slippage"/>
- </property>
- <object name="default" meta_type="Portal Theme"/>
- <object name="WAeUP_Student" meta_type="Portal Theme"/>
- <object name="WAeUP_Backoffice" meta_type="Portal Theme"/>
-</object>