Index: /WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 553)
@@ -4,7 +4,7 @@
  <property name="debug_mode">True</property>
  <property name="method_themes">
+  <element key="application_slip" value="WAeUP_Student+Slippage"/>
+  <element key="index_html" value="WAeUP_Backoffice+Frontpage"/>
   <element key="login_staff" value="WAeUP_Backoffice+Default"/>
-  <element key="index_html" value="WAeUP_Backoffice+Frontpage"/>
-  <element key="application_slip" value="WAeUP_Student+Slippage"/>
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/1415945211.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/1415945211.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/1415945211.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1415945211" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/202124142.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/202124142.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/133318311/202124142.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="202124142" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/1192351367.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/1192351367.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/1192351367.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1192351367" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/228004626.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/228004626.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1507390385/228004626.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="228004626" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/544624143.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/544624143.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/544624143.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="544624143" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/818069506.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/818069506.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1700355910/818069506.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="818069506" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/1142285493.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/1142285493.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/1142285493.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1142285493" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/515043197.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/515043197.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/1730273219/515043197.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="515043197" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1354562479.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1354562479.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1354562479.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1354562479" meta_type="Cell Sizer">
  <property name="xpos">4</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1881545572.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1881545572.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/1881545572.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1881545572" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/552220178.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/552220178.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/269646640/552220178.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="552220178" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">20%</property>
+ <property name="cellwidth">170px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="cell_sizer1" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">200px</property>
+ <property name="cellwidth">165px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer2.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer2.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer2.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="cell_sizer2" meta_type="Cell Sizer">
  <property name="xpos">4</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer5.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer5.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer5.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="cell_sizer5" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1415945211.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1415945211.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/1415945211.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1415945211" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/202124142.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/202124142.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/133318311/202124142.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="202124142" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1192351367.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1192351367.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/1192351367.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1192351367" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1507390385/228004626.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="228004626" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/1142285493.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/1142285493.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/1142285493.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1142285493" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/515043197.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/515043197.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/1730273219/515043197.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="515043197" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1354562479.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1354562479.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1354562479.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1354562479" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1881545572.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1881545572.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/269646640/1881545572.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1881545572" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/1324170210.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/1324170210.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/1324170210.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="1324170210" meta_type="Cell Sizer">
  <property name="xpos">2</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/2140792079.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/2140792079.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/270305611/2140792079.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="2140792079" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer2.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer2.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer2.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="cell_sizer2" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer5.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer5.xml	(revision 552)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Default/main/cell_sizer5.xml	(revision 553)
@@ -2,4 +2,4 @@
 <object name="cell_sizer5" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">30px</property>
+ <property name="cellwidth">20px</property>
 </object>