Index: /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 564)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 564)
@@ -0,0 +1,72 @@
+<?xml version="1.0"?>
+<object name="members_search" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_dir_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="email" meta_type="String Widget">
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="label">label_email</property>
+  <property name="label_edit">label_email</property>
+  <property name="description">Member email</property>
+  <property name="is_i18n">True</property>
+  <property name="display_width">30</property>
+ </widget>
+ <widget name="givenName" meta_type="String Widget">
+  <property name="fields">
+   <element value="givenName"/>
+  </property>
+  <property name="label">label_first_name</property>
+  <property name="label_edit">label_first_name</property>
+  <property name="description">Member first name</property>
+  <property name="is_i18n">True</property>
+ </widget>
+ <widget name="id" meta_type="String Widget">
+  <property name="fields">
+   <element value="id"/>
+  </property>
+  <property name="label">label_user_name</property>
+  <property name="label_edit">label_user_name</property>
+  <property name="description">Member login</property>
+  <property name="is_i18n">True</property>
+  <property name="display_width">30</property>
+ </widget>
+ <widget name="roles" meta_type="String Widget">
+  <property name="fields">
+   <element value="roles"/>
+  </property>
+  <property name="label">Roles</property>
+  <property name="label_edit">Roles</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="sn" meta_type="String Widget">
+  <property name="fields">
+   <element value="sn"/>
+  </property>
+  <property name="label">label_last_name</property>
+  <property name="label_edit">label_last_name</property>
+  <property name="description">Member last name</property>
+  <property name="is_i18n">True</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="id" ncols="2"/>
+  </row>
+  <row>
+   <cell name="givenName"/>
+   <cell name="sn"/>
+  </row>
+  <row>
+   <cell name="email" ncols="2"/>
+  </row>
+  <row>
+   <cell name="roles" ncols="2"/>
+  </row>
+ </table>
+</object>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/layout_dir_search.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/layout_dir_search.pt	(revision 564)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/layout_dir_search.pt	(revision 564)
@@ -0,0 +1,51 @@
+<tal:block define="
+  layout options/layout;
+  ds options/datastructure;
+  formaction request/formaction|python: 'members_search';
+  ">
+<div class="group">
+<form action="." method="post" name="form" enctype="multipart/form-data"
+  tal:attributes="action formaction">
+<input type="hidden" name="dirname" value="."
+  tal:attributes="value request/dirname|string:members" />
+<table cellpadding="0" cellspacing="2" summary="form layout">
+  <tr tal:repeat="row layout/rows">
+    <tal:block repeat="cell row">
+    <tal:block define="widget cell/widget;
+                       wid widget/getWidgetId;
+                       err python: ds.getError(wid);
+                       is_required python: cell['widget_mode'] == 'edit' and widget.is_required;
+                       ">
+      <td align="right"  valign="top">
+        <div class="label" tal:condition="widget/label_edit">
+          <span i18n:translate="" tal:condition="widget/is_i18n"
+            tal:content="widget/label_edit">label</span
+          ><span tal:condition="not:widget/is_i18n"
+            tal:content="widget/label_edit">label</span
+          >&nbsp;:
+        </div>
+      </td>
+      <td valign="top" colspan="1"
+        tal:attributes="colspan python:cell['ncols']*2-1">
+        <div tal:attributes="class python:err and 'error' or nothing">
+          <div tal:attributes="class widget/css_class|nothing">
+            <tal:block replace="structure cell/widget_rendered" />
+          </div>
+          <div tal:condition="err">
+            <em style="color:red" tal:content="err"
+              i18n:translate="">Error</em>
+          </div>
+        </div>
+      </td>
+    </tal:block>
+    </tal:block>
+  </tr>
+  <tr><td></td>
+    <td><br /><input type="submit" class="standalone"
+          name="cpsdirectory_search_button" value="button_search"
+          i18n:attributes="value" /> <br /><br /></td>
+  </tr>
+</table>
+</form>
+</div>
+</tal:block>