Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 564)
+++ WAeUP_SRP/trunk/Students.py	(revision 565)
@@ -505,27 +505,4 @@
 ###)
 
-class StudyLevel(CPSDocument): ###(
-    """
-    WAeUP StudyLevel containing the courses and students
-    """
-    meta_type = 'StudyLevel'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        return "Level %s" % self.aq_parent.getId()
-
-
-InitializeClass(StudyLevel)
-
-def addStudyLevel(container, id, REQUEST=None, **kw):
-    """Add a StudyLevel."""
-    ob = StudyLevel(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
-
 class StudentStudyLevel(CPSDocument): ###(
     """
@@ -617,37 +594,38 @@
 ###)
 
-class StudentSemester(CPSDocument): ###(
-    """
-    WAeUP StudentSemester containing the courses and students
-    """
-    meta_type = 'StudentSemester'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-InitializeClass(StudentSemester)
-
-def addStudentSemester(container, id, REQUEST=None, **kw):
-    """Add a StudentSemester."""
-    ob = StudentSemester(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
-
-class Semester(CPSDocument): ###(
-    """
-    WAeUP Semester containing the courses and students
-    """
-    meta_type = 'Semester'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-InitializeClass(Semester)
-
-def addSemester(container, id, REQUEST=None, **kw):
-    """Add a Semester."""
-    ob = Semester(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
+##class StudentSemester(CPSDocument): ###(
+##    """
+##    WAeUP StudentSemester containing the courses and students
+##    """
+##    meta_type = 'StudentSemester'
+##    portal_type = meta_type
+##    security = ClassSecurityInfo()
+##
+##InitializeClass(StudentSemester)
+##
+##def addStudentSemester(container, id, REQUEST=None, **kw):
+##    """Add a StudentSemester."""
+##    ob = StudentSemester(id, **kw)
+##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+##
+#####)
+
+##class Semester(CPSDocument): ###(
+##    """
+##    WAeUP Semester containing the courses and students
+##    """
+##    meta_type = 'Semester'
+##    portal_type = meta_type
+##    security = ClassSecurityInfo()
+##
+##InitializeClass(Semester)
+##
+##def addSemester(container, id, REQUEST=None, **kw):
+##    """Add a Semester."""
+##    ob = Semester(id, **kw)
+##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+##
+#####)
+##
 
 class StudentCourseResult(CPSDocument): ###(
Index: WAeUP_SRP/trunk/__init__.py
===================================================================
--- WAeUP_SRP/trunk/__init__.py	(revision 564)
+++ WAeUP_SRP/trunk/__init__.py	(revision 565)
@@ -31,4 +31,5 @@
         "Course",
         "CertificateCourse",
+        "StudyLevel",
         )
      ),
@@ -47,9 +48,8 @@
          "StudentPersonal",
          "StudentStudyLevel",
-         "StudentSemester",
+         #"StudentSemester",
          "StudentCourseResult",
          # move to Academics later
-         "StudyLevel",
-         "Semester",
+         #"Semester",
          )
       ),
Index: WAeUP_SRP/trunk/profiles/default/schemas/semester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/semester.xml	(revision 564)
+++ 	(revision )
@@ -1,2 +1,0 @@
-<?xml version="1.0"?>
-<object name="semester" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 564)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<?xml version="1.0"?>
-<object name="Semester" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Semester Folder</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">Semester</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addSemester</property>
- <property name="immediate_view">folder_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types">
-  <element value="CertificateCourse"/>
-  <element value="Course"/>
-  <element value="CourseTicket"/>
- </property>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-<element value="metadata"/>
-  </property>
- <property name="layouts"/>
- <property name="layout_clusters">
-  <element value=""/>
- </property>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
- <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
-  <permission value="View"/>
- </action>
- <action title="Add Course" action_id="new_entry" category="object"
-    condition_expr=""
-    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
-</object>
Index: WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 564)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 565)
@@ -37,17 +37,21 @@
 info['cert_id'] = cert_id
 
-for sem in ('first','second'):
-    res = context.portal_catalog(container_path="%s/%s/%s" % (cp,level_id,sem))
-    items = []
-    for r in res:
-        row = {}
-        ro = r.getObject()
-        rd = ro.getContent()
-        row['id'] = r.getId
-        row['title'] = rd.Title()
-        row['core'] = rd.core_or_elective 
-        row['semester'] = sem
-        row['url'] = ro.absolute_url()
-        items.append(row)
-    info[sem] = items
+res = context.portal_catalog(container_path="%s/%s" % (cp,level_id))
+first = []
+second = []
+for r in res:
+    row = {}
+    ro = r.getObject()
+    rd = ro.getContent()
+    row['id'] = r.getId
+    row['title'] = rd.Title()
+    row['core'] = rd.core_or_elective 
+    row['semester'] = rd.semester
+    row['url'] = ro.absolute_url()
+    if rd.semester == 'first':
+        first.append(row)
+    else:
+        second.append(row)
+info['first'] = first
+info['second'] = second
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 565)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 565)
@@ -0,0 +1,29 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the current Student
+"""
+request = context.REQUEST
+form = request.form
+fget = form.get
+wf = context.portal_workflow
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+path_info = request.get('PATH_INFO').split('/')
+roles = member.getRoles()
+info = {}
+info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
+student_id = fget('student_id')
+jamb_id = fget('jamb_id')
+matric_no = fget('matric_no')
+name = fget('name')
+info['students'] = []
+return info