Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 571)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 572)
@@ -15,10 +15,15 @@
 form = request.form
 fget = form.get
+info = {}
 wf = context.portal_workflow
+catalog = context.portal_catalog
+student_wf_states = wf.waeup_student_wf.states.keys()
+info['wf_states'] = student_wf_states
+info['wf_states'][0] = " ----- "
+
 mtool = context.portal_membership
 member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 roles = member.getRoles()
-info = {}
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 student_id = fget('student_id')
@@ -26,4 +31,39 @@
 matric_no = fget('matric_no')
 name = fget('name')
-info['students'] = []
+state = fget('state')
+if state == " ----- ":
+    state = ''
+onlyreview = state and not (student_id or jamb_id or matric_no or name)
+items = []
+res = []
+portal_type_query = {'query':['Student','StudentApplication','StudentPersonal']}
+if onlyreview:
+    res = catalog(portal_type=portal_type_query,
+                  review_state=state)
+elif student_id:
+    res = catalog(portal_type='Student',
+                  id = student_id.strip())
+elif jamb_id:
+    res = catalog(portal_type='StudentApplication',
+                  SearchableText="%s*" % jamb_id.strip().lower())
+elif matric_no:
+    res = catalog(portal_type='StudentClearance',
+                  SearchableText="%s*" % matric_no.strip().lower())
+elif name:
+    res = catalog(portal_type=portal_type_query,
+                  SearchableText="%s*" % name.strip())
+if res:
+    for r in res:
+        row = {}
+        if r.portal_type in ("StudentApplication","StudentPersonal"):
+            items.append(r.getObject().aq_parent)
+        else:
+            items.append(r.getObject())
+info['state'] = state
+info['student_id'] = student_id
+info['jamb_id'] = jamb_id
+info['matric_no'] = matric_no
+info['name'] = name
+
+info['students'] = items
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 571)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 572)
@@ -12,15 +12,31 @@
       <span tal:condition="isManager">
       <h3>Search Students by</h3>
-        <br />
-        <form  action="." method="post" tal:attributes="action context/absolute_url">
-          <table>           
-            <tr>            
-              <td>StudentId</td><td><input type="text" name="student_id" /></td>
-              <td>JAMB Id</td><td><input type="text" name="jamb_id" /></td>
+      <br />
+      <form  action="." method="post" tal:attributes="action string: ${context/absolute_url}/students_manager_view">
+        <table>           
+          <tr>            
+            <td>Status</td><td><div class="field"><span tal:condition="python:0" tal:content="info/wf_states"/>
+                <select name="state" tal:condition="python:1">
+                  <option value="state"
+                          tal:repeat="state info/wf_states"
+                          tal:attributes="value state;selected python: info['state'] == state"
+                          tal:content="state"></option>
+                </select>
+              </div>
+            </td>
+          </tr>
+          <tr>            
+              <td>StudentId</td><td><input type="text" name="student_id" 
+                                           tal:attributes="value info/student_id"/></td>
+              <td>Student Name</td><td><input type="text" name="name" 
+                                              tal:attributes="value info/name"/></td>
             </tr>
             <tr>
-              <td>Matric No</td><td><input type="text" name="matric_no" /></td>
-              <td>Student Name</td><td><input type="text" name="name" /></td>
+              <td>Matric No</td><td><input type="text" name="matric_no" 
+                                           tal:attributes="value info/matric_no"/></td>
+              <td>JAMB Id</td><td><input type="text" name="jamb_id" 
+                                         tal:attributes="value info/jamb_id"/></td>
             </tr>
+          <tr><td><input type="submit" class="context" name="search" value="search" /></td></tr>
             </table>
       </form>