Index: WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/approve_checked.py	(revision 573)
@@ -13,5 +13,5 @@
 """
 
-ret_url = context.absolute_url() + '/academics_contents'
+ret_url = context.absolute_url() + '/academics_index'
 
 if ids:
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 573)
@@ -24,5 +24,5 @@
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles 
-info['action'] = "%s/academics_index_view" % context.campus.absolute_url()
+info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 info['doc'] = context.getContent()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 573)
@@ -21,9 +21,10 @@
 info = {}
 member_id = str(member)
-dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
+#dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
+dep_id = context.aq_parent.getId()
 roles = member.getRoles()
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles 
-info['action'] = "%s/faculty_index_view" % context.absolute_url()
+info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 info['doc'] = context.getContent()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 573)
@@ -24,5 +24,5 @@
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles 
-info['action'] = "%s/faculty_index_view" % context.absolute_url()
+info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 items = []
Index: WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 573)
@@ -24,5 +24,5 @@
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles 
-info['action'] = "%s/academics_index_view" % context.campus.absolute_url()
+info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 items = []
Index: WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 573)
@@ -18,15 +18,20 @@
 member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
-
+try:
+    i = int(path_info[-1])
+    p = 0
+except:
+    p = 1
 info = {}
 member_id = str(member)
 pt = request.get('PATH_TRANSLATED').split('/')
-dep_id = pt[-3]
-cert_id = pt[-2]
-level_id = pt[-1]
+
+dep_id = pt[-(3+p)]
+cert_id = pt[-(2+p)]
+level_id = pt[-(1+p)]
 roles = member.getRoles()
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles 
-info['action'] = "%s/faculty_index_view" % context.absolute_url()
+info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
 info['doc'] = context.getContent()
@@ -49,4 +54,5 @@
     row['semester'] = rd.semester
     row['url'] = ro.absolute_url()
+    row['review_state'] = wf.getInfoFor(ro,'review_state','None')
     if rd.semester == 'first':
         first.append(row)
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 573)
@@ -35,12 +35,14 @@
                        checked python:id in info['choosen_ids'];" 
                        />
-              </td>
-              <td><a href="view" tal:attributes="href string:${row/url}">
-                  <strong tal:content="row/title" /></a> </td>
-              <td tal:content="row/id"></td>
-              <td tal:content="python: test(row['core'],'core','elective')"></td>
-            </tr>
-          </span>
-        </table>
+                </td>
+                <td><a href="view" tal:attributes="href string:${row/url}">
+                    <strong tal:content="row/title" /></a> </td>
+                <td tal:content="row/id"></td>
+                <td tal:content="python: test(row['core'],'core','elective')"></td>
+                <td tal:content="row/review_state"> </td>
+                <td><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+              </tr>
+            </span>
+          </table>
         <table width="100%" cellspacing="0" cellpadding="2"
                class="folderButtons">
Index: WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py	(revision 572)
+++ WAeUP_SRP/trunk/skins/waeup_academics/retract_checked.py	(revision 573)
@@ -13,5 +13,5 @@
 """
 
-ret_url = context.absolute_url() + '/academics_contents'
+ret_url = context.absolute_url() + '/academics_index'
 
 if ids: